libselinux-devel-2.5-6.mga6.i586.rpm


Advertisement

Description

libselinux-devel - Development libraries and header files for libselinux

Distribution: Mageia 6.0
Repository: Mageia Core i586
Package name: libselinux-devel
Package version: 2.5
Package release: 6.mga6
Package architecture: i586
Package type: rpm
Installed size: 125.90 KB
Download size: 27.72 KB
Official Mirror: distrib-coffee.ipsl.jussieu.fr
The selinux-devel package contains the libraries and header files needed for developing SELinux applications.

Alternatives

Provides

  • devel(libselinux)
  • libselinux-devel == 2.5-6.mga6
  • libselinux-devel(x86-32) == 2.5-6.mga6
  • pkgconfig(libselinux) == 2.5
  • selinux-devel == 2.5-6.mga6

Obsoletes

  • libselinux1-devel < 2.5-6.mga6

    Download

    Install Howto

    1. Enable Mageia Core repository on "Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install libselinux-devel rpm package:
      # urpmi libselinux-devel

    Files

    • /usr/include/selinux/av_permissions.h
    • /usr/include/selinux/avc.h
    • /usr/include/selinux/context.h
    • /usr/include/selinux/flask.h
    • /usr/include/selinux/get_context_list.h
    • /usr/include/selinux/get_default_type.h
    • /usr/include/selinux/label.h
    • /usr/include/selinux/restorecon.h
    • /usr/include/selinux/selinux.h
    • /usr/lib/libselinux.so
    • /usr/lib/pkgconfig/libselinux.pc

    Changelog

    2016-07-05 - spuhler <spuhler> 2.5-6.mga6 + Revision: 1039048 - added Obsoletes: python-selinux < %{version}-%{release} to make it upgrade from mga5

    2016-04-23 - tv <tv> 2.5-5.mga6 + Revision: 1005572 - provides libselinux-devel

    2016-03-31 - luigiwalser <luigiwalser> 2.5-4.mga6 + Revision: 997252 - provide python-selinux

    2016-03-02 - spuhler <spuhler> 2.5-3.mga6 + Revision: 983681 - changed names of python packages

    2016-02-25 - spuhler <spuhler> 2.5-1.mga6 + Revision: 979145 - we still call python2 python - upgrade to vers. 2.5 - upgrade to vers. 2.5

    2016-01-19 - daviddavid <daviddavid> 2.4-2.mga6 + Revision: 925765 - add python3 package (python3-selinux) - use new python macros

    2015-11-15 - spuhler <spuhler> 2.4-1.mga6 + Revision: 903136 - ugrade to vers. 2.4 * removed already incorporated patch

    2015-08-21 - tmb <tmb> 2.3-5.mga6 + Revision: 867721 - rebuild for new gcc

    2014-10-15 - umeabot <umeabot> 2.3-4.mga5 + Revision: 745403 - Second Mageia 5 Mass Rebuild

    2014-09-27 - tv <tv> 2.3-3.mga5 + Revision: 726862 - rebuild for missing pythoneggs deps

    Advertisement
    Advertisement